
Core - Task # 25331

Status: Resolved Priority: Should have
Author: Xavier Perseguers Category: Code Cleanup
Created: 2011-03-16 Assigned To:
Updated: 2012-09-23 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Sprint Focus:
Subject: Add visibility to member fields and methods
Description

There are still many "var" field declaration coming from PHP4 in Core classes. Goal is to change them either to public or (hopefully) to
protected.

The same applies for class methods.

private may probably only be used for static classes, if used at all.

(issue imported from #M17958)

Related issues:
related to Core - Task # 31461: The Big Cleanup 4.7 Resolved 2012-02-19 2012-02-20
duplicated by Core - Task # 25403: Add visibility to member fields and method... Resolved 2011-03-28

History
#1 - 2011-03-29 15:37 - Ernesto Baschny
- Tracker changed from Bug to Task
- PHP Version deleted (5.2)

#2 - 2011-05-11 14:10 - Xavier Perseguers
- Target version changed from 1081 to 1238

#3 - 2011-06-15 09:09 - Oliver Hader
- Target version changed from 1238 to 1281

#4 - 2011-07-12 16:08 - Xavier Perseguers
- Target version changed from 1281 to 4.6.0-beta1

#5 - 2011-08-02 18:09 - Xavier Perseguers
- Target version deleted (4.6.0-beta1)

#6 - 2012-09-23 15:41 - Steffen Gebert
- Category set to Code Cleanup
- Status changed from New to Resolved
- Target version set to 6.0.0-RC1
- TYPO3 Version changed from 4.5 to 6.0
